| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
pngmem.c File Reference
`#include "pngpriv.h"`

Go to the source code of this file.

## Functions
| PNG_FUNCTION (png_voidp, png_create_struct,(int type), PNG_ALLOCATED)
| PNG_FUNCTION (png_voidp, png_create_struct_2,(int type, png_malloc_ptr malloc_fn, png_voidp mem_ptr), PNG_ALLOCATED)
void | png_destroy_struct (png_voidp struct_ptr)
void | png_destroy_struct_2 (png_voidp struct_ptr, png_free_ptr free_fn, png_voidp mem_ptr)
| PNG_FUNCTION (png_voidp, PNGAPI png_calloc,(png_structp png_ptr, png_alloc_size_t size), PNG_ALLOCATED)
void PNGAPI | png_free (png_structp png_ptr, png_voidp ptr)
void PNGAPI | png_free_default (png_structp png_ptr, png_voidp ptr)
void PNGAPI | png_set_mem_fn (png_structp png_ptr, png_voidp mem_ptr, png_malloc_ptr malloc_fn, png_free_ptr free_fn)
png_voidp PNGAPI | png_get_mem_ptr (png_const_structp png_ptr)

## Function Documentation

void png_destroy_struct | ( | png_voidp | struct_ptr | ) |

Definition at line 429 of file pngmem.c.

void png_destroy_struct_2 | ( | png_voidp | struct_ptr,
|  | png_free_ptr | free_fn,
|  | png_voidp | mem_ptr
| ) |  |

Definition at line 437 of file pngmem.c.

void PNGAPI png_free | ( | png_structp | png_ptr,
|  | png_voidp | ptr
| ) |  |

Definition at line 569 of file pngmem.c.

void PNGAPI png_free_default | ( | png_structp | png_ptr,
|  | png_voidp | ptr
| ) |  |

Definition at line 586 of file pngmem.c.

PNG_FUNCTION | ( | png_voidp | ,
|  | png_create_struct | ,
|  | (int type) | ,
|  | PNG_ALLOCATED |
| ) |  |

Definition at line 368 of file pngmem.c.

PNG_FUNCTION | ( | png_voidp | ,
|  | png_create_struct_2 | ,
|  | (int type, png_malloc_ptr malloc_fn, png_voidp mem_ptr) | ,
|  | PNG_ALLOCATED |
| ) |  |

Definition at line 378 of file pngmem.c.

PNG_FUNCTION | ( | png_voidp | ,
|  | PNGAPI | png_calloc,
|  | (png_structp png_ptr, png_alloc_size_t size) | ,
|  | PNG_ALLOCATED |
| ) |  |

Definition at line 475 of file pngmem.c.

png_voidp PNGAPI png_get_mem_ptr | ( | png_const_structp | png_ptr | ) |

Definition at line 650 of file pngmem.c.

void PNGAPI png_set_mem_fn | ( | png_structp | png_ptr,
|  | png_voidp | mem_ptr,
|  | png_malloc_ptr | malloc_fn,
|  | png_free_ptr | free_fn
| ) |  |

Definition at line 634 of file pngmem.c.